package ictag;

import ictag.gui.IcTagFrame;
import ictag.util.DataBaseHelper;

public class ICtag 
{
	/**
	 * 利用方法を表示
	 */
	private static void Usage() {
		System.err.println("Usage: ICtag serial-device");
		System.exit(1);
	}
	
    public static void main( String[] args )
    {
    	HF04SL ictag = null;
    	if (DataBaseHelper.isUseIctag()) {
    		if (args.length != 1) {
    			Usage();
    		}
       		ictag = new HF04SL();
       		if (!ictag.openICTag(args[0])) {
       			System.err.println("Can't open HF04SL");
       			System.exit(1);
       		}     			
    	}
   		DataBaseHelper.tryToCreateTable();
     	IcTagFrame frame = new IcTagFrame(ictag);
    	frame.setVisible(true);
	}
}
